Package Details: puddletag-git 2.0.1.r26.g66aa1f4-1

Git Clone URL: https://aur.archlinux.org/puddletag-git.git (read-only, click to copy)
Package Base: puddletag-git
Description: An audio tag editor for GNU/Linux, git version
Upstream URL: https://github.com/puddletag/puddletag
Keywords: audio music tag
Licenses: GPL3
Conflicts: puddletag
Provides: puddletag
Replaces: puddletag-qt5-git
Submitter: morgenstern
Maintainer: morgenstern
Last Packager: morgenstern
Votes: 28
Popularity: 1.14
First Submitted: 2020-08-23 06:34
Last Updated: 2020-12-27 22:36

Required by (0)

Sources (1)

Pinned Comments

morgenstern commented on 2020-08-30 00:35

Note that Python 3 and Qt5 support is now also available by installing the non-git version of this package --> puddletag.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

morgenstern commented on 2020-06-14 21:19

@akovia you need to do a clean build due to the upstream source changing.

akovia commented on 2020-06-14 16:30

It's not building for me. ==> ERROR: ...cache/yay/puddletag-qt5-git/puddletag-qt5-git is not a clone of https://github.com/sandrotosi/puddletag

morgenstern commented on 2020-06-01 01:50

Thanks for letting me know @Corubba - checking it out now and I'll definitely consider packaging it if it proves to be more stable than the current official Qt5 branch.

Corubba commented on 2020-05-31 21:34

There is a fork of puddletag whose goal is porting it to Python3 and Qt5, and it has seen a bit of active development and bugfixing recently. While that fork is still experimental too, they fixed that grayed-out menu items issue for example, so I consider it more usable than the upstream pyqt5 branch. It may be worth considering changing this package to the fork.

morgenstern commented on 2020-04-11 22:09

The Qt5 branch of puddletag has not had much active development or testing, and therefore contains a number of bugs and issues that currently prevent it from working properly, such as greyed-out menu items.

Until the branch is more stable and actively developed, I recommend running the old Qt4 version of puddletag.

morgenstern commented on 2019-07-13 03:57

@daviding report that upstream. The Qt5 branch is still pretty unstable, so in the interim I would recommend running vanilla Qt4 puddletag.

@yochananmarqos PKGBUILD has been updated to make python2-pillow a regular dependency and chromaprint an optional one. Thanks for reporting.

daviding commented on 2019-07-13 02:53

I'm not sure where to report bugs. (1) The headings of the columns aren't labelled, at least on my installation. (2) Pressing the write icon (diskette) does nothing.

yochananmarqos commented on 2019-07-12 14:30

FYI, python2-pillow is required to display cover art at all, not just for FLAC. That should be a normal dependency. chromaprint is only required for AcoustID support, that could be optional.

daviding commented on 2019-07-12 03:10

Great! Installs fine.

$ lsb_release -rd

Description: Manjaro Linux

Release: 18.0.4

$ plasmashell --version

plasmashell 5.16.2

$ kf5-config --version

Qt: 5.13.0

KDE Frameworks: 5.59.0

kf5-config: 1.0

morgenstern commented on 2019-07-11 12:11

This package replaces the old puddletag-git AUR package.

Builds and runs successfully. Thank you @InspMustache for the tip regarding the lacking qt5-svg dependency.